// JavaScript Document contains all the custom function and custom js code use for the website
// ============================================================================================

(function($) {

    


    // =========================================================================
    // ============ Only when the document is ready ============================
    // =========================================================================

    $(document).ready(function(e) {     
		
		// =====================================================================
		// =====================================================================
		
		var slide_interval = 6000; // image slide delay ( 1000 is 1 second )
		
		// =====================================================================
		// =====================================================================	   

        /* Initial varialbes for the alignment of the page
         * Please refer to the align_wrapper() for more contihious code */

        var animationSpeed = 350;
        /* speed of the animation */
        var animation_easing = 'easeInOutQuad';

        /* Initial varialbes for the alignment of the page
         * Please refer to the align_wrapper() for more contihious code */

        var gallery = $('#gallery');

        // =======================================================
        // Setup Navigation Menu with jQuery Drop Menu
        // =================================================

        $('.menu').css('display', 'block');
        $('.menu').dropmenu({
            effect : 'slide',
            speed : 200,
            timeout : 10,
            nbsp : false
        });

        // set layout
        align_wrapper();

        // if its a gallery page run the script
        
        var image_height = 400;
            
        if (gallery.length) {

            /* Gallery Image Preloading using farinspace image preloading plugin */
            $('#gallery img').imgpreload({
                each : function() {
                    // this = dom image object
                    // check for success with: $(this).data('loaded')
                    // callback executes when each image loads
                },
                all : function() {
                    // this = array of dom image objects
                    // check for success with: $(this[i]).data('loaded')
                    // callback executes when all images are loaded
                    set_gallery();
                }
            });
            
            // to avoid layout problems and to make sure all image height is fixed                        
            $('#gallery img').removeAttr('width').height(image_height);
        }

        // =========================================================================
        // ============ Only when all document contents are ready ==================
        // =========================================================================

        $(window).load(function() {
            set_text_page();
            align_wrapper();
        });

        // =========================================================================
        // ======================== When page is resized ===========================
        // =========================================================================

        $(window).resize(function() {
            align_wrapper();
        });

        // =========================================================================================
        // ======================= Align the entire HTML page wrapper ==============================
        // =========================================================================================

        function align_wrapper() {

            var wrapper = $('#wrapper');

            var window_width = parseInt($(window).width());
            var window_height = parseInt($(window).height());

            var wrapper_width = parseInt(wrapper.outerWidth());
            //var wrapper_height = parseInt(wrapper.outerHeight());
            /* additional 20px for better alignment */
            var wrapper_height = parseInt(wrapper.outerHeight()) + 0; // add 20 to move it up..

            var left = (window_width / 2) - (wrapper_width / 2);
            var top = (window_height / 2) - (wrapper_height / 2);

            //console.log("Left: " + left, "Top: " + top);

            // #content-wrapper, #gallery, #gallery img { set height for both}

            wrapper.css({
                'left' : left,
                'top' : top
            });

        }

        // =====================================================================================
        // =============== Setup the gallery and gallery scroll bar ============================
        // =====================================================================================

        function set_gallery() {

            /* Get gallery parts */
            var gallery_collection = gallery.find('ul');
            var images = gallery_collection.find('img');
            var num_of_images = images.length;
            var li_right_margin = parseInt(gallery_collection.find('li').first().css('margin-right').replace('px', ''));
            //console.log(li_right_margin);

            /* Add div to contain image links with numbers */
            gallery.append('<div class="img-links"></div>');
            var links_container = $('div.img-links');

            /* Generare number of images
             * Get X Positions for the images and set the valuse as a data variable { html 5 } for the image links at the bottom
             * Read it later to align and animate individual images
             * */

            var current_image = 0;
            var counter = 0;
            var position = 0;
            var link_value = 0;
            var current_left = 0;

            images.each(function(index, element) {
                counter++;
                $this = $(this);

                position = $this.parent('li').position();
                position = position.left;

                if (counter > 9) {
                    link_value = counter;
                } else {
                    link_value = '0' + counter;
                }

                links_container.append('<a href="javascript:void(0)" data-position="' + position + '">' + link_value + '</a>');
                $this.attr('data-position', position);                
                
            });

            $('div.img-links a').each(generate_events);
            $('#gallery img').each(generate_events);

            /* Enable mouse wheel suppor for the gallery
             * Mouse Wheel will use next image and previous image accordingly */

            gallery_collection.mousewheel(function(event, delta) {
                console.log(delta);
                if (delta == -1) {
                    next_image();
                } else if (delta == 1) {
                    prev_image();
                }
            });

            // select default image
            move_image();

            /* =================================================================================== */
            /* ========================= GALLERY HELPER FUNCTIONS ================================ */
            /* =================================================================================== */

            function generate_events(index, element) {
                $this = $(this);
                $this.on('click', function() {
                    current_image = index;
                    current_left = get_position($(this));
                    //console.log(current_left);
                    move_image();
                });
            }

            function current_link() {
                $('div.img-links a').each(function(index, element) {
                    $this = $(this);
                    $this.removeClass('selected');
                    if (index == current_image) {
                        $this.addClass('selected');
                    }
                });
            }

            function next_image() {
                if (current_image >= 0 && current_image < (num_of_images - 1)) {
                    current_image++;
                }
                current_left = get_position($('#gallery img').eq(current_image));
                //console.log(current_left);
                move_image();
            }

            function prev_image() {
                if (current_image >= 1 && current_image < num_of_images) {
                    current_image--;
                }
                current_left = get_position($('#gallery img').eq(current_image));
                //console.log(current_left);
                move_image();
            }

            function move_image(index) {
                //console.log(current_left);
                gallery_collection.animate({
                    'left' : -(current_left)
                }, {
                    duration : animationSpeed,
                    easing : animation_easing,
                    queue : false
                });
                current_image = parseInt(current_image);
                current_link();
            }

            function get_position(obj) {
                return obj.data('position');
            }

        }

        // =================================================================================
        // ================= setup the scrollbar for the text pages ========================
        // =================================================================================

        function set_text_page() {
            var page_content = $('.content');
            if (page_content.length) {
                page_content.mCustomScrollbar({
                    advanced : {
                        updateOnContentResize : true
                    }
                });
            }
        }

        // =================================================================================
        // ================= setup slideshow for the home page =============================
        // =================================================================================
        
        $('#slides').slidesjs({
            width: 960,
            height: 400,
			preload: true,
			preloadImage: '../img/preloader.gif',
            play: {
              active: true,
              auto: true,
              interval: slide_interval, // defined at the top of the page
              effect: "fade"
            },
            navigation: {
              effect: "fade"
            },
            pagination: {
              effect: "fade"
            },
            effect: {
              fade: {
                speed: 400
              }
            }
        });


        // =================================================================================
        // ================= Initiate Contact form jQuery Plugin ===========================
        // =================================================================================

        // bind '#contact-form' and provide a callback function        
        
        var contact_form    = $('.form_wrapper #contact-form');
        var message         = $('.form_wrapper #message');
        
        // hide by default
        message.hide();
        
        contact_form.ajaxForm(function(data) { 
              
            message.hide();  
            
			//message.html(data);			
			
            if (data == 1) {
                message.html('<span class="error">Please fill out the required fields.</span>');
            } else if (data == 0) {
                message.html('<span class="confirm">Your message has been sent.</span>');                
                contact_form.resetForm();
            }
			
            
            message.show();
                        
        });


        // this will disable the layout glitch on page load. As body is hidden by default.
        // If you dont want to use it, make sure to remove opacity from body css in css file.
        
        /*$('#wrapper').css({
            opacity: '1'
        });*/
		
		$( "#wrapper" ).animate({
				opacity: 1
			}, 1000, function() {
			
			$(this).css({
				opacity: '1'
			});
		});
		
		

    });

})(jQuery);

