<?php
/*

Template Name: News

*/
?>
<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<h2 class="none"><?php the_title(); ?></h2>
<div class="none"><?php the_content(); ?></div>

<?php get_header(); ?>

<div id="page"> 
	
	
	<!-- contains Heading and scrollable contents, floated to the left using CSS floats -->
	<article class="<?php if ( !has_post_thumbnail( $post->ID ) ): ?>full<?php endif; ?>">
		
		<!-- Main page Heading, display just above the scrollable content -->
		<h1><?php the_title(); ?></h1>
		
		<!-- Main page content, Scrollbar is generated using 'jQuery Custom Scrollbar Plugin', Please refer to the 'main.js' file, and find 'set_text_page()' for the JavaScript Code -->
		<div class="content"> 
			<!-- contents start here -->			
			<?php
		
			$portfolio_args = array (
				'post_type' => 'news',
				'post_status' => 'publish',
				'posts_per_page' => -1,
				'orderby' => 'date',
				'order' => 'DESC'
			);
			
			$temp = $wp_query; // assign ordinal query to temp variable for later use  
			$wp_query = null;
			$wp_query = new WP_Query($portfolio_args);
			
			?>
			<?php
		
			if ( $wp_query->have_posts() ) :
			
				while ( $wp_query->have_posts() ) : $wp_query->the_post();
					?>
					<div class="news">
						<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
						<div class="news_body">
							<?php the_excerpt(); ?>							
						</div>
					</div>
					<?php 				
				endwhile;
				
			else: 			
			
				?>				
				<p>News not found!</p>				
				<?php
				
			endif;
			
			$wp_query = $temp;
			wp_reset_query();
			
			?>
			<!-- contents ends here --> 
		</div>
		
	</article>
	
	<!-- 
	sidebar image for the page, is contained in 'aside' tag, 
	which is floated to the right, refer to main.css 
	-->	
	<?php if (has_post_thumbnail( $post->ID ) ): ?>
	<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'page-featured' ); ?>
	<aside class="image">
		<?php //the_post_thumbnail(); ?>
		<img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>">
	</aside>
	<?php endif; ?>
	
	
	
	<?php endwhile; endif; // end of the loop. ?>
	
	<!-- to clear float, which cause layout problems in some browsers -->
	<div class="clear"></div>
</div>

<?php get_footer(); ?>