<?php

// ========================================================================================
// ========================================================================================
// Option tress
// ========================================================================================
// ========================================================================================


/// Optional: set 'ot_show_pages' filter to false. This will hide the settings & documentation pages.
add_filter( 'ot_show_pages', '__return_false' );

// Optional: set 'ot_show_new_layout' filter to false This will hide the "New Layout" section on the Theme Options page.
add_filter( 'ot_show_new_layout', '__return_false' );

// Required: set 'ot_theme_mode' filter to true.
add_filter( 'ot_theme_mode', '__return_true' );

// Required: include OptionTree
load_template( trailingslashit( get_template_directory() ) . 'option-tree/ot-loader.php' );


// Theme Options 
// =============================================================================================		
load_template( trailingslashit( get_template_directory() ) . 'includes/theme-options.php' );		
	

// ========================================================================================	
// Custom Post Types
// ========================================================================================

load_template( trailingslashit( get_template_directory() ) . '/includes/post-types.php' );

	
// ========================================================================================
// Meta Boxes
// ========================================================================================

load_template( trailingslashit( get_template_directory() ) . '/includes/meta-boxes.php');


// ========================================================================================
// Custom menu support
// ========================================================================================

function chabbu_register_custom_menus() {
	register_nav_menus(
		array( 'main-menu' => __( 'Main Menu', 'passion' ) )
	);
}
add_action( 'init', 'chabbu_register_custom_menus' );


// =======================================================================================
// Featured image support & image sizes 
// =======================================================================================	

// featured image supprot for all post types
//add_theme_support( 'post-thumbnails' ); 
// above will add featured image to all post type, so we are using an arry to specify just pages
add_theme_support( 'post-thumbnails', array( 'page', 'news' ) ); 

if ( function_exists( 'add_image_size' ) ) 
{
	add_image_size( 'page-featured', 310, 410, true); // (cropped) for page side bar featured image  
	add_image_size( 'portfolio-slide', 960, 400, true); // (cropped) for home page slideshow
	add_image_size( 'portfolio-large', 9999, 400 ); // unlimited width but 400px height, for galleries in portfolio
}

// make them available in the wp admin area
add_filter( 'image_size_names_choose', 'chabbu_show_custom_image_names' );
function chabbu_show_custom_image_names( $sizes ) 
{
	return array_merge( $sizes, array(
		'portfolio-slide' 		=> __('Portfolio Slide', 'passion' ),
		'portfolio-large' 		=> __('Portfolio Large', 'passion' ),
	) );
}

// =======================================================================================
// Custom Excerpt
// =======================================================================================	

/*
function custom_excerpt_length( $length ) {
	return 20; // defautl is 55
}
add_filter( 'excerpt_length', 'custom_excerpt_length', 999 );
*/

// Replaces the excerpt "more" text by a link
function new_excerpt_more($more) {
	global $post;
	return '<a class="read-more" href="'. get_permalink($post->ID) . '">... Read more</a>';
}
add_filter('excerpt_more', 'new_excerpt_more');


// ========================================================================================
// Remove wordpress version of the jQuery from the theme
// ========================================================================================

if ( !is_admin() )
{
	wp_deregister_script('jquery');
}

// ========================================================================================
// Remove default wordpress post, taxonomy and post tags
// ========================================================================================

load_template( trailingslashit( get_template_directory() ) . '/includes/disable-defaults.php' );

// ========================================================================================
// Disable Comments
// ========================================================================================

load_template( trailingslashit( get_template_directory() ) . '/includes/disable-comments.php' );