<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>"/>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<meta name="author" content="ChaBBu http://www.chabbu.com">


<title><?php bloginfo('name'); ?> | <?php is_front_page() ? bloginfo('description') : wp_title(''); ?></title>

<!-- Website main style sheet to layout and organize the whole website -->
<link href="<?php bloginfo('stylesheet_url'); ?>" rel="stylesheet" type="text/css" />

<!-- HTML5 New elements fix for older browsers -->
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/assets/js/html5shiv.js"></script>
<![endif]-->

<?php wp_head(); ?>

</head>

<body>

<!-- Main page wrapper to contain and align entire website in the browser window -->
<div id="wrapper">

	<!--
	=======================================================================================
	Header of the website: Includes ( Logo, Main Menu and Social links)
	=======================================================================================
	-->
	<header>
		<!-- hidden by default -->
		<h1 class="none">
			<a id="logo" href="<?php echo get_option('home'); ?>/">
				<?php bloginfo( 'name' ); ?>
			</a>
		</h1>
		<!-- hidden by default -->
		<h2 class="none">
			<?php echo bloginfo('description'); ?>
		</h2>
		
		<!-- Website Logo -->
		<a id="logo" href="<?php echo get_option('home'); ?>/">
			<?php 
			$passion_logo = ot_get_option('passion_logo', '');
			if(!empty($passion_logo)) 
			{ 
				?>													
				<img src="<?php echo $passion_logo; ?>" alt="<?php bloginfo( 'name' ); ?>">													
				<?php 
			} 
			else 
			{ 
				?>
				<img src="<?php echo get_template_directory_uri(); ?>/assets/img/logo.png" 
				alt="<?php bloginfo( 'name' ); ?>">
				<?php 
			} 
			?>	
		</a>
		
		
		<div class="clear"></div>

		<!-- Main Navigaiotn Menu: Generated using jQuery DropMenu plugin -->
		<nav id="menu-wrapper">
			<?php $nav_args = array(
				'theme_location'  => '',
				'container'       => '',
				'container_class' => '',
				'container_id'    => '',
				'menu_id'		  => 'menu',
				'menu_class'      => 'menu',
				'menu'            => 'main-menu',
				'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
				'depth'           => 0,
				'walker'          => ''
			); ?>		
			<?php wp_nav_menu($nav_args); ?>
		</nav>
		
		<div class="clear"></div>

		<!-- Social Links -->
		<ul id="social">
			<?php
			
			// list of social icons available. Please refers to 'includes/theme-options.php'
			$social_array =  array(					
				'facebook', 'twitter', 'google-plus', 'linkedin', 'pinterest', 'instagram', 'vimeo', 'tumblr',
				'flickr', 'dribble', 'youtube', 'skype', 'wordpress'			
			);			
			$social_icon_prefix = get_template_directory_uri() . '/assets/img/icons/icon-';
			$passion_social_option_prefix = 'passion_social_';	
			
			foreach($social_array as $social_key => $social_icon )
			{
				$social_icon_filter = str_replace('-', '_', $social_icon);
							
				$passion_social_option = ot_get_option($passion_social_option_prefix . $social_icon_filter, '');
				
				if(!empty($passion_social_option)) 
				{
					?>
					<li>
						<a title="<?php echo ucwords(str_replace('-', ' ', $social_icon)); ?>" href="<?php echo $passion_social_option; ?>" target="_blank">
							<img src="<?php echo $social_icon_prefix . $social_icon; ?>.png" alt="icon <?php echo ucwords(str_replace('-', ' ', $social_icon)); ?>">
						</a>
					</li>
					<?php
				}
			}
			?>			
			
		</ul>
		
		<div class="clear"></div>
		
	</header>

	<!--
	========================================================================================
	Main page container: to contain all pages -
	Each page is styled individaully using an additional for the following div
	========================================================================================
	-->
	<div id="content-wrapper">
	