<?php

// ========================================================================================
// Admin area changes
// ========================================================================================

// diabble menus in wordpres admin	
add_action( 'admin_menu', 'chabbu_remove_links_menu' );
function chabbu_remove_links_menu() {	
	remove_menu_page('index.php'); // Dashboard
	remove_menu_page('edit.php'); // Posts
	// disable-comment.php will also disable it :)
	//remove_menu_page('edit-comments.php'); // Comments
}

// redirect user to portfolio page after login
// ============================================

// Redirect admins to the dashboard and other users elsewhere
add_filter( 'login_redirect', 'chabbu_login_redirect', 10, 3 );
function chabbu_login_redirect( $redirect_to, $request, $user ) {
	// Is there a user?
	if ( is_array( $user->roles ) ) {
		return home_url( '/wp-admin/edit.php?post_type=portfolio' );
	}
}

// ========================================================================================
// Remove dashboard metaboxes
// ========================================================================================

// hide welcome metabox message from dashboard
// ================================================================================
add_action( 'load-index.php', 'remove_welcome_panel' );

function remove_welcome_panel()
{
    remove_action('welcome_panel', 'wp_welcome_panel');
    $user_id = get_current_user_id();
    if (0 !== get_user_meta( $user_id, 'show_welcome_panel', true ) ) {
        update_user_meta( $user_id, 'show_welcome_panel', 0 );
    }
}

// hide dashboard metaboxes from wordpress
// ================================================================================
function remove_dashboard_widgets(){
    remove_meta_box('dashboard_right_now', 'dashboard', 'normal');   // Right Now
    remove_meta_box('dashboard_recent_comments', 'dashboard', 'normal'); // Recent Comments
    //remove_meta_box('dashboard_incoming_links', 'dashboard', 'normal');  // Incoming Links
    remove_meta_box('dashboard_plugins', 'dashboard', 'normal');   // Plugins
    remove_meta_box('dashboard_quick_press', 'dashboard', 'side');  // Quick Press
    //remove_meta_box('dashboard_recent_drafts', 'dashboard', 'side');  // Recent Drafts
    remove_meta_box('dashboard_primary', 'dashboard', 'side');   // WordPress blog
    remove_meta_box('dashboard_secondary', 'dashboard', 'side');   // Other WordPress News
// use 'dashboard-network' as the second parameter to remove widgets from a network dashboard.
}
add_action('wp_dashboard_setup', 'remove_dashboard_widgets');



// ========================================================================================
// Remove default wordpress post, taxonomy and post tags
// ========================================================================================

// remove post type 'post'
if ( ! function_exists( 'unregister_post_type' ) ) :
function unregister_post_type( $post_type ) {
    global $wp_post_types;
    if ( isset( $wp_post_types[ $post_type ] ) ) {
        unset( $wp_post_types[ $post_type ] );
        return true;
    }
    return false;
}
endif;

add_action( 'init','remove_post_type_post');

function remove_post_type_post() {   
    unregister_post_type('post');   
}

// ---------------------------------------------------

// remove taxonomy 'category'
//add_action( 'init', 'unregister_taxonomy_category');
function unregister_taxonomy_category(){
    global $wp_taxonomies;
    $taxonomy = 'category';
    if ( taxonomy_exists( $taxonomy))
        unset( $wp_taxonomies[$taxonomy]);
}

// remove taxonomy 'post_tag'
//add_action( 'init', 'unregister_taxonomy_post_tag');
function unregister_taxonomy_post_tag(){
    global $wp_taxonomies;
    $taxonomy = 'post_tag';
    if ( taxonomy_exists( $taxonomy))
        unset( $wp_taxonomies[$taxonomy]);
}

// ========================================================================================