<?php

// Re-define meta box path and URL
define( 'RWMB_URL', trailingslashit( get_stylesheet_directory_uri() . '/includes/meta-box' ) );
define( 'RWMB_DIR', trailingslashit( STYLESHEETPATH . '/includes/meta-box' ) );

// Include the meta box script
require_once RWMB_DIR . 'meta-box.php';


// ========================================================================================
// Meta Box for Slideshow
// ========================================================================================

add_action( 'admin_init', 'chabbu_slideshow_register_meta_box' );
function chabbu_slideshow_register_meta_box()
{
    // Check if plugin is activated or included in theme
    if ( !class_exists( 'RW_Meta_Box' ) ) return;
    
    $prefix = 'slideshow_';
    $meta_box = array(
        'id'       => 'slideshow_image',
        'title'    => 'Slider Image',
        'pages'    => array( 'slideshow' ),
        'context'  => 'normal',
        'priority' => 'high',
        'fields' => array(   
			
			// IMAGE ADVANCED (WP 3.5+)
			array(
				'name'             => __( 'Select only one image:<br>( 960x400px )', 'passion' ),
				'id'               => "{$prefix}image",
				'type'             => 'image_advanced', //image, thickbox_image, plupload_image, image_advanced, 
				'max_file_uploads' => 1,
			),
        )
    );
    new RW_Meta_Box( $meta_box );
}


// ========================================================================================
// Meta Box for portfolio
// ========================================================================================

add_action( 'admin_init', 'chabbu_portfolio_register_meta_box' );
function chabbu_portfolio_register_meta_box()
{
    // Check if plugin is activated or included in theme
    if ( !class_exists( 'RW_Meta_Box' ) ) return;
    
    $prefix = 'portfolio_';
    $meta_box = array(
        'id'       => 'portfolio_images',
        'title'    => 'Portfolio Images',
        'pages'    => array( 'portfolio' ),
        'context'  => 'normal',
        'priority' => 'high',
        'fields' => array(   
			
			// IMAGE ADVANCED (WP 3.5+)
			array(
				'name'             => __( 'Images', 'passion' ),
				'id'               => "{$prefix}gallery",
				'type'             => 'image_advanced', //image, thickbox_image, plupload_image, image_advanced, 
				'max_file_uploads' => 50,
			),
        )
    );
    new RW_Meta_Box( $meta_box );
}


