<?php

// ===================================================================================
// Custom Post types for the theme. This inlude ( property and news )
// ====================================================================================

function cpt_init() 
{	

	// Add new post type for Slideshow
	// ================================================================================
		
	$slideshow_labels = array(
		'name' 							=> __( 'Slideshow', 'passion' ),
		'singular_name' 				=> __( 'Slide', 'passion' ),
		'all_items' 					=> __( 'All Slides', 'passion' ),
		'add_new' 						=> __( 'Add new Slide', 'passion' ),
		'add_new_item' 					=> __( 'Add new Slide', 'passion' ),
		'edit_item' 					=> __( 'Edit Slide', 'passion' ),
		'new_item' 						=> __( 'New Slide', 'passion' ),
		'view_item' 					=> __( 'View Slide', 'passion' ),
		'search_items' 					=> __( 'Search in Slides', 'passion' ),
		'not_found' 					=> __( 'No Slide found', 'passion' ),
		'not_found_in_trash' 			=> __( 'No Slide found in trash', 'passion' ),
		'parent_item_colon' 			=> ''
	);

	$slideshow_args = array(
		'labels' 						=> $slideshow_labels,
		'public' 						=> true,
		'publicly_queryable' 			=> false,
		'show_ui' 						=> true, 
		'query_var' 					=> false,
		'rewrite' 						=> true,
		'capability_type' 				=> 'post',
		'hierarchical' 					=> false,
		'menu_position' 				=> 20,
		'menu_icon' 					=> get_bloginfo('template_directory') . '/assets/img/admin/icon-slideshow.png',
		'supports' 						=> array( 'title'),
		'has_archive' 					=> false,
		'rewrite' 						=> array( 'slug' => 'slideshow' ),
		'show_in_menu'					=> true,
		'show_in_nav_menus'				=> false,
	); 
	
	register_post_type( 'slideshow', $slideshow_args );	
	
	
	// Add new post type for Portfolio
	// =================================================================================
		
	$portfolio_labels = array(
		'name' 							=> __( 'Portfolio', 'passion' ),
		'singular_name' 				=> __( 'Portfolio', 'passion' ),
		'all_items' 					=> __( 'All Galleries', 'passion' ),
		'add_new' 						=> __( 'Add new Gallery', 'passion' ),
		'add_new_item' 					=> __( 'Add new Gallery', 'passion' ),
		'edit_item' 					=> __( 'Edit Gallery' , 'passion' ),
		'new_item' 						=> __( 'New Gallery', 'passion' ),
		'view_item' 					=> __( 'View Gallery', 'passion' ),
		'search_items' 					=> __( 'Search in Gallery', 'passion' ),
		'not_found' 					=> __( 'No Gallery found', 'passion' ),
		'not_found_in_trash' 			=> __( 'No Gallery found in trash', 'passion' ), 
		'parent_item_colon' 			=> ''
	);

	$portfolio_args = array(
		'labels' 						=> $portfolio_labels,
		'public' 						=> true,
		'publicly_queryable' 			=> true,
		'show_ui' 						=> true, 
		'query_var' 					=> true,
		'rewrite' 						=> true,
		'capability_type' 				=> 'post',
		'hierarchical' 					=> true,
		'menu_position' 				=> 20,
		'menu_icon' 					=> get_bloginfo('template_directory') . '/assets/img/admin/icon-portfolio.png',
		'supports' 						=> array( 'title'),
		'has_archive' 					=> true,
		'rewrite' 						=> array( 'slug' => 'portfolio' ),
		'show_in_menu'					=> true,
		'show_in_nav_menus'				=> true,
	); 
	
	register_post_type( 'portfolio', $portfolio_args );	
	
	
	// Add new post type for News
	// ====================================================================================
		
	$news_labels = array(
		'name' 							=> __( 'News', 'passion' ),
		'singular_name' 				=> __( 'News', 'passion' ),
		'all_items' 					=> __( 'All News', 'passion' ),
		'add_new' 						=> __( 'Add New', 'passion' ),
		'add_new_item' 					=> __( 'Add new News', 'passion' ),
		'edit_item' 					=> __( 'Edit News', 'passion' ),
		'new_item' 						=> __( 'New News', 'passion' ),
		'view_item' 					=> __( 'View News', 'passion' ),
		'search_items' 					=> __( 'Search in News', 'passion' ),
		'not_found' 					=> __( 'No News found', 'passion' ),
		'not_found_in_trash' 			=> __( 'No News found in trash', 'passion' ), 
		'parent_item_colon' 			=> ''
	);

	$news_args = array(
		'labels' 						=> $news_labels,
		'public' 						=> true,
		'publicly_queryable' 			=> true,
		'show_ui' 						=> true, 
		'query_var' 					=> true,
		'rewrite' 						=> true,
		'capability_type' 				=> 'post',
		'hierarchical' 					=> false,
		'menu_position' 				=> 20,
		'menu_icon' 					=> get_bloginfo('template_directory') . '/assets/img/admin/icon-news.png',
		// make sure its in the array of 'add theme support' for thumbnail
		'supports' 						=> array( 'title', 'thumbnail', 'editor' ), 
		'has_archive' 					=> true,
		'rewrite' 						=> array( 'slug' => 'news' ),
		'show_in_menu'					=> true,
		'show_in_nav_menus'				=> true,
	); 
	
	register_post_type( 'news', $news_args );	

}	

// hook into the init action and call the function when it fires
add_action( 'init', 'cpt_init' );

?>